8. openedDocumentHook
Prev | Chapter 4. Reference | Next

## 8. openedDocumentHook

    <openedDocumentHook
      name = NMTOKEN
    >
      Content: class
    </openedDocumentHook>

    <class>
      Content: Java class name
    </class>

Specifies an OpenedDocument hook, that is, a Java™ Object implementing interface `com.xmlmind.xmleditapp.kit.OpenedDocumentHook`.

The class implementing interface `com.xmlmind.xmleditapp.kit.OpenedDocumentHook` is specified by the `class` child element.

Attributes:

name

  Required. Unique name identifying the hook in this GUI specification.

Example:

    <openedDocumentHook name="hook">
      <class>com.acme.custom_xxe.Hook</class>
    </openedDocumentHook>

Prev | Up | Next
7. menuItems | Home | 9. pane